from fastapi import APIRouter
from .auth import router as auth_router
from .users import router as users_router
from .organizations import router as orgs_router
from .integrations import router as integrations_router
from .issues import router as issues_router
from .webhooks import router as webhooks_router
from .reports import router as reports_router
from .gitea import router as gitea_router
from .settings import router as settings_router

api_router = APIRouter()
api_router.include_router(auth_router, prefix="/auth", tags=["Authentication"])
api_router.include_router(users_router, prefix="/users", tags=["Users"])
api_router.include_router(orgs_router, prefix="/organizations", tags=["Organizations"])
api_router.include_router(settings_router, prefix="/organizations", tags=["Settings"])
api_router.include_router(integrations_router, prefix="/integrations", tags=["Integrations"])
api_router.include_router(issues_router, prefix="/issues", tags=["Issues"])
api_router.include_router(webhooks_router, prefix="/webhooks", tags=["Webhooks"])
api_router.include_router(reports_router, prefix="/reports", tags=["Reports"])
api_router.include_router(gitea_router, prefix="/gitea", tags=["Gitea"])
